Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.itemgenerator
Class ItemGenerator

    java.lang.Object
      de.jsystems.framework.common.Controller
          de.jsystems.framework.common.BusinessFrameController
              de.jsystems.itemgenerator.ItemGenerator

All Implemented Interfaces:
  FrameworkKonstanten, IController, IMessageTexte, IProgressSender

public class ItemGenerator
extends BusinessFrameController

Startklasse fuer den ItemGenerator. Hier wird der Itemgenerator erzeugt und alle benoetigten View registriert.

Version:
  1.0
  Copyright by Jens Homm 2000 - 2004
Author:
  Jens Homm JSYSTEMS

Field Summary

Fields inherited from class de.jsystems.framework.common.BusinessFrameController
`businessFrame, frameMenu, frameToolbar`

Fields inherited from class de.jsystems.framework.common.Controller
`actionManager, ausgewaehlteModels, ausgewaehlteView, menu, models, popup, printer, startbild, statuszeile, systemdialoge, toolbar, views`

Fields inherited from interface de.jsystems.framework.common.FrameworkKonstanten
`DEFAULT, EDITMODE, FRAMEWORK_LAF, METAL_LAF, MOTIF_LAF, NEWMODE, OHNE, ONLY_MENU, ONLY_TOOLBAR, SHOWMODE, WINDOWS_LAF`

Fields inherited from interface de.jsystems.framework.common.IMessageTexte
`FEHLER, FEHLER_AUFGETRETEN`

Constructor Summary
`ItemGenerator()` Konstruktor fuer den Itemgenerator.

Method Summary
`void` | `exceptionInAction(AbstractAction action, Exception exception)` Diese Methode wird aufgerufen, wenn in einer Action eine Exception aufgetreten ist.
`static void` | `main(String[] args)` Startet den Itemgenerator.

Methods inherited from class de.jsystems.framework.common.BusinessFrameController
`changeLookAndFeel, getBusinessFrame, hideFrame, removeLeftView, removeRightView, setLeftView, setRightView, showFrame, toggleStatusArea, toggleToolbar`

Methods inherited from class de.jsystems.framework.common.Controller
`about, canExit, close, copy, createDefaultMenu, createDefaultPopup, createDefaultToolbar, createMenu, createNew, createPopup, createToolbar, cut, delete, edit, getActionManager, getAusgewaehlteModels, getMenue, getMessageList, getPopup, getStatusArea, getToolbar, getView, help, info, load, paste, print, redo, registerModel, registerView, registerViewActionControls, save, saveAs, setDefaultLookAndFeel, setLastLookAndFeel, setLookAndFeel, setStartUpProcent, setStartUpStatus, setStatusText, show, showPopup, undo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemGenerator

    public ItemGenerator()

  Konstruktor fuer den Itemgenerator. Hier werden die beiden Oberflaechen fuer den Itemgenerator erzeugt und registriert.

Method Detail

### main

    public static void main(String[] args)

  Startet den Itemgenerator.

  Parameters:
    `args` - Beim starten uebergebene Argumente. Werden hier nicht beruecksichtigt.

### exceptionInAction

    public void exceptionInAction(AbstractAction action,
                                  Exception exception)

  Diese Methode wird aufgerufen, wenn in einer Action eine Exception aufgetreten ist.

  Parameters:
    `action` - Die Action, in der ein Fehler aufgetreten ist.
    `exception` - Die aufgetretene Exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD